Subject: Re: [RFC] Add a systemd service file for dealing with emacs --daemon.

From: Rüdiger Sonderfeld <[email-masked]>
Date: Thu, 04 Dec 2014 01:18:11 +0100

On Wednesday 03 December 2014 23:08:29 Ulrich Mueller wrote:
> >>>>> On Wed, 03 Dec 2014, Romain Francoise wrote:
> > Is this something that distributions would be expected to enable?
> 
> As it is proposed, it won't work for Gentoo. We support installation
> of several Emacs versions in parallel, so a systemd unit file
> installed under a fixed path name would lead to file collisions
> between different versions.
> 
> Which means that we shall disable installation of the file in Gentoo.
> (Besides, systemd isn't our default init system ...)

Multiple versions are indeed an issue.  I don't know if the systemd folks have 
a suggestion for that case.  But as far as I understand the recommendation is 
indeed to install unit files to the directory given by pkg-config.

The installation directory can of course be changed and you could simply point 
it elsewhere and then have the user copy the unit file she wants.

Regards,
Rüdiger